// CRx17 jcv 26-Jun-09 Original new duproc facilities 

#include <iostream>
#include <sstream>
#include <fstream>

#include <vector>

#include "DUProcessor.h"
#include "TMFrameStream.h"
#include "DUStream.h"
#include "DUInspector.h"

#include "frmproc.h"

#include "errstr.h"
#include "ExceptionErrorHandler.h"

///////////////////////
//
//
//
//
void frmproc () {

    // Declares the proper DU processor 
    TMFrameStream * myTMFrameStream = new TMFrameStream;

    // (No internal processor is needed here)

    // Declares the proper DU reader...
    DUinspector myInspector;

    // ... its external processor (TMFrame)
    myInspector.registerProcessor(myTMFrameStream);

    // ... call it, which will use the above.
    myInspector.streamDU();

}
